| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
BSStruct Struct Reference

## Detailed Description

Definition at line 66 of file fatutil.h.

`#include "fatutil.h"`

## Data Fields
uint8_t | BS_jmpBoot [3]
uint8_t | BS_OEMName [8]
uint16_t | BPB_BytsPerSec
uint8_t | BPB_SecPerClus
uint16_t | BPB_RsvdSecCnt
uint8_t | BPB_NumFATs
uint16_t | BPB_RootEntCnt
uint16_t | BPB_TotSec16
uint8_t | BPB_Media
uint16_t | BPB_FATSz16
uint16_t | BPB_SecPerTrk
uint16_t | BPB_NumHeads
uint32_t | BPB_HiddSec
uint32_t | BPB_TotSec32
uint8_t | BS_DrvNum
uint8_t | BS_Reserved1
uint8_t | BS_BootSig
uint32_t | BS_VolID
uint8_t | BS_VolLab [11]
uint8_t | BS_FilSysType [8]

## Field Documentation

uint16_t BPB_BytsPerSec

Definition at line 69 of file fatutil.h.

uint16_t BPB_FATSz16

Definition at line 76 of file fatutil.h.

uint32_t BPB_HiddSec

Definition at line 79 of file fatutil.h.

uint8_t BPB_Media

Definition at line 75 of file fatutil.h.

uint8_t BPB_NumFATs

Definition at line 72 of file fatutil.h.

uint16_t BPB_NumHeads

Definition at line 78 of file fatutil.h.

uint16_t BPB_RootEntCnt

Definition at line 73 of file fatutil.h.

uint16_t BPB_RsvdSecCnt

Definition at line 71 of file fatutil.h.

uint8_t BPB_SecPerClus

Definition at line 70 of file fatutil.h.

uint16_t BPB_SecPerTrk

Definition at line 77 of file fatutil.h.

uint16_t BPB_TotSec16

Definition at line 74 of file fatutil.h.

uint32_t BPB_TotSec32

Definition at line 80 of file fatutil.h.

uint8_t BS_BootSig

Definition at line 83 of file fatutil.h.

uint8_t BS_DrvNum

Definition at line 81 of file fatutil.h.

uint8_t BS_FilSysType[8]

Definition at line 86 of file fatutil.h.

uint8_t BS_jmpBoot[3]

Definition at line 67 of file fatutil.h.

uint8_t BS_OEMName[8]

Definition at line 68 of file fatutil.h.

uint8_t BS_Reserved1

Definition at line 82 of file fatutil.h.

uint32_t BS_VolID

Definition at line 84 of file fatutil.h.

uint8_t BS_VolLab[11]

Definition at line 85 of file fatutil.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/LPCUSBlib/lpcusblib_MassStorageDevice/Lib/fatutil.h